MapD 4.1 Now Available


#1

We are pleased to announce the release of MapD 4.1.

The release includes several features and improvements:

  • ability to add columns
  • stacked bar charts
  • security improvements
  • performance improvements for some GROUP BY queries by leveraging GPU cache
  • auto-zoom to data bounds on geo heatmap chart

There are also a ton of bug fixes. Thank you to our community for helping find many of these after the release of 4.0.


#2

#3

Which version is used for the Tweetmap demo?


#4

Hi @khogan1. Tweetmap is our earliest demo (if you’re interested in the history, check out our About page) so it was written before we had version numbers. Are you asking about the current version running the demo? We update our production instances with every new version, so I can inquire whether we’re on 4.1 or something a bit earlier.


#5

When I git clone MapD 4.1 and build with make. It gives me below information:

/home/fei/Public/mapd-core/QueryEngine/ArrowResultSet.cpp:117:51: required from here
/usr/include/boost/variant/variant.hpp:1400:43: error: call of overloaded ‘initialize(void* const&, const std::cxx11::basic_string&)’ is ambiguous
return initializer::initialize(storage
, operand);
^
In file included from /usr/include/boost/variant/variant.hpp:30:0,
from /usr/include/boost/variant.hpp:17,
from /home/fei/Public/mapd-core/QueryEngine/…/Catalog/…/Fragmenter/AbstractFragmenter.h:25,
from /home/fei/Public/mapd-core/QueryEngine/…/Catalog/TableDescriptor.h:23,
from /home/fei/Public/mapd-core/QueryEngine/InputDescriptors.h:20,
from /home/fei/Public/mapd-core/QueryEngine/RelAlgExecutionUnit.h:30,
from /home/fei/Public/mapd-core/QueryEngine/CardinalityEstimator.h:28,
from /home/fei/Public/mapd-core/QueryEngine/ResultSet.h:29,
from /home/fei/Public/mapd-core/QueryEngine/ArrowResultSet.h:21,
from /home/fei/Public/mapd-core/QueryEngine/ArrowResultSet.cpp:17:
/usr/include/boost/variant/detail/initializer.hpp:104:24: note: candidate: static int boost::detail::variant::make_initializer_node::apply<BaseIndexPair, Iterator>::initializer_node::initialize(void*, boost::detail::variant::make_initializer_node::apply<BaseIndexPair, Iterator>::initializer_node::param_T) [with BaseIndexPair = boost::mpl::pair<boost::detail::variant::make_initializer_node::apply<boost::mpl::pair<boost::detail::variant::make_initializer_node::apply<boost::mpl::pair<boost::detail::variant::initializer_root, mpl
::int_<0> >, boost::mpl::l_iter<boost::mpl::list3<boost::variant<long int, double, float, boost::variant<std::__cxx11::basic_string<char, std::char_traits, std::allocator >, void*> >, std::vector<boost::variant<long int, double, float, boost::variant<std::cxx11::basic_string<char, std::char_traits, std::allocator >, void*> > >, boost::variant<GeoPointTargetValue, GeoLineStringTargetValue, GeoPolyTargetValue, GeoMultiPolyTargetValue> > > >::initializer_node, mpl::int<1> >, boost::mpl::l_iter<boost::mpl::list2<std::vector<boost::variant<long int, double, float, boost::variant<std::cxx11::basic_string<char, std::char_traits, std::allocator >, void*> > >, boost::variant<GeoPointTargetValue, GeoLineStringTargetValue, GeoPolyTargetValue, GeoMultiPolyTargetValue> > > >::initializer_node, mpl::int<2> >; Iterator = boost::mpl::l_iter<boost::mpl::list1<boost::variant<GeoPointTargetValue, GeoLineStringTargetValue, GeoPolyTargetValue, GeoMultiPolyTargetValue> > >; boost::detail::variant::make_initializer_node::apply<BaseIndexPair, Iterator>::initializer_node::param_T = const boost::variant<GeoPointTargetValue, GeoLineStringTargetValue, GeoPolyTargetValue, GeoMultiPolyTargetValue>&]
static int initialize(void* dest, param_T operand)
^
Any solution to this problem?


#6

Hi @bobofee. We no longer support Boost versions below 1.65, so you will need to install a newer version of Boost on Ubuntu 16.04 (the system provided version is 1.58, I believe). I have attached a preliminary script for installing Boost 1.65 on Ubuntu 16.04 that you can use in place of the mapd-deps-ubuntu.sh script in the scripts directory. The final version should make its way into the OS repo soon, but this should help you get unblocked.

Thanks,
Alex

mapd-deps-ubuntu1604.sh.zip (1.6 KB)


#7

@alexb Thank you so much. I will check it and have a trial.